import Cocoa
import FlutterMacOS

public class MemoryPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "memory_plugin", binaryMessenger: registrar.messenger)
    let instance = MemoryPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    switch call.method {
    case "getPlatformVersion":
      result("macOS " + ProcessInfo.processInfo.operatingSystemVersionString)
    case "getMemoryInfo":
      result("macOS memory")
    default:
      result(FlutterMethodNotImplemented)
    }
  }
}
